<?php
use Mall\Framework\Factory;
use Mall\Framework\Core\Config;
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods:*");
header("Access-Control-Allow-Headers:*");
require_once __DIR__ .  DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'Mall' . DIRECTORY_SEPARATOR . 'Bootstrap.php';

if(function_exists("opcache_reset")){
    opcache_reset();
}

//打印错误
//error_reporting(E_ALL);
//ini_set('display_errors', true);

bcscale(4);

// 加载项目全局变量
require_once dirname(dirname(dirname(__FILE__))) .DS. '.ENV.php';


Config::load(PROJECT_PATH . DS . 'Config' . DS . 'Config.php');

// 加载框架入口文件
Factory::request()->dispatch(false, true);